## CallsAccountProvider CallsAccountProvider |

## Functions

GtkWidget * | calls_account_provider_get_account_widget ()
void | calls_account_provider_add_new_account ()
void | calls_account_provider_edit_account ()

## Signals

void | widget-edit-done | Run First

## Types and Values

#define | CALLS_TYPE_ACCOUNT_PROVIDER
struct | CallsAccountProviderInterface
| CallsAccountProvider

## Object Hierarchy

        GInterface
        ╰── CallsAccountProvider

## Prerequisites

CallsAccountProvider requires CallsProvider.

## Description

## Functions

### calls_account_provider_get_account_widget ()

    GtkWidget *
    calls_account_provider_get_account_widget
                                   (CallsAccountProvider *self);

#### Parameters

self | A CallsAccountProvider |

#### Returns

A GtkWidget for adding or editing account credentials.

[transfer none]

### calls_account_provider_add_new_account ()

    void
    calls_account_provider_add_new_account
                                   (CallsAccountProvider *self);

Prepares the GtkWidget to add a new account (clear any forms). See `calls_account_provider_get_account_widget()`.

The caller is responsible for embedding the widget somewhere visible.

#### Parameters

self | A CallsAccountProvider |

### calls_account_provider_edit_account ()

    void
    calls_account_provider_edit_account (CallsAccountProvider *self,
                                         CallsAccount *account);

Prepares the GtkWidget to edit the given `account` (prepulate forms). See `calls_account_provider_get_account_widget()`.

#### Parameters

self | A CallsAccountProvider |
account | A CallsAccount to edit |

## Types and Values

### CALLS_TYPE_ACCOUNT_PROVIDER

    #define CALLS_TYPE_ACCOUNT_PROVIDER (calls_account_provider_get_type ())

### struct CallsAccountProviderInterface

    struct CallsAccountProviderInterface {
      GTypeInterface parent_iface;

      GtkWidget     *(*get_account_widget)              (CallsAccountProvider *self);
      void           (*add_new_account)                 (CallsAccountProvider *self);
      void           (*edit_account)                    (CallsAccountProvider *self,
                                                         CallsAccount         *account);
    };

### CallsAccountProvider

    typedef struct _CallsAccountProvider CallsAccountProvider;

## Signal Details

### The `“widget-edit-done”` signal

    void
    user_function (CallsAccountProvider *callsaccountprovider,
                   gpointer              user_data)

Flags: Run First